clear all
a = load('flatband_eng_y1=15.mat');
% b = load('QENG_d1=0_band3.mat');

figure()
k = a.kpoints/pi;
k1 = k(2,1:201);
Qs = a.Qs;

for i = 1:10
freqs = a.freqs(1:201,i);
scatter(k1,freqs);
hold on

end
hold off
figure
n = 51
for i = 1:n
band3(1:n,1) = a.freqs(1:n,3);
band3(1:n,2) = a.Qs(1:n,3);
end

for i = n+1:201
    band3(n+1:201,1) = a.freqs(n+1:201,4);
    band3(n+1:201,2) = a.Qs(n+1:201,4);
end


freqs = band3(1:201,1);
% 
% Qs = band3(2:201,2);
plot(k1,freqs,'LineWidth',2);
% scatter(k1,Qs,10);
yscale log
% ylim([10e3 10e8])
% 

ylim([0.425 0.44])
xlim([0 1/1.5])
xticks([])
% xlim([0 0.8])
box on
set(gca, 'LineWidth', 2);
set(gca, 'FontSize', 25,'FontWeight','bold');